2018-07-17 06:52 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002311Buildsystem[All Projects] Generalpublic2018-04-21 09:16
ReporterLeon Stringer 
Assigned ToDaniel Silverstone 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformCentOS 7OSLinuxOS Version
Summary0002311: Package gperf dependency to build on CentOS 7
DescriptionI followed the instructions in http://source.netsurf-browser.org/netsurf.git/plain/Docs/QUICK-START to get NetSurf running. This worked except the first build attempt (ns-pull-install) failed with:

ake: Entering directory `/home/leon/dev-netsurf/workspace/libsvgtiny'
   GPERF: src/colors.gperf
make: gperf: Command not found
make: *** No rule to make target `build-x86_64-redhat-linux-x86_64-redhat-linux-release-lib-static/src_colors.c', needed by `build-x86_64-redhat-linux-x86_64-redhat-linux-release-lib-static/build-x86_64-redhat-linux-x86_64-redhat-linux-release-lib-static_src_colors.o'. Stop.
make: Leaving directory `/home/leon/dev-netsurf/workspace/libsvgtiny'

I had to install standard package 'gperf' and then it worked.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001752

Daniel Silverstone (administrator)

env.sh has been updated to include gperf for YUM dependencies in commit 911467d
+Notes

-Issue History
Date Modified Username Field Change
2015-04-29 10:52 Leon Stringer New Issue
2018-04-21 09:16 Daniel Silverstone Assigned To => Daniel Silverstone
2018-04-21 09:16 Daniel Silverstone Status new => resolved
2018-04-21 09:16 Daniel Silverstone Resolution open => fixed
2018-04-21 09:16 Daniel Silverstone Description Updated View Revisions
2018-04-21 09:16 Daniel Silverstone Note Added: 0001752
+Issue History